Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
[Java] Class AntBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              groovy.util.AntBuilder
                  org.gradle.api.AntBuilder

    public abstract class AntBuilder
    extends groovy.util.AntBuilder

An `AntBuilder` allows you to use Ant from your build script.

Method Summary
`java.util.Map` | `getProperties()` Returns the properties of the Ant project.
`java.util.Map` | `getReferences()` Returns the references of the Ant project.
`void` | `importBuild(java.lang.Object antBuildFile)` Imports an Ant build into the associated Gradle project.

Methods inherited from class groovy.util.AntBuilder
groovy.util.AntBuilder#getProject(), groovy.util.AntBuilder#getAntXmlContext(), groovy.util.AntBuilder#getAntProject(), groovy.util.AntBuilder#invokeMethod(java.lang.String), groovy.util.AntBuilder#invokeMethod(java.lang.String, java.lang.Object), groovy.util.AntBuilder#setProperty(java.lang.String, java.lang.Object), groovy.util.AntBuilder#getProperty(java.lang.String), groovy.util.AntBuilder#getMetaClass(), groovy.util.AntBuilder#setMetaClass(groovy.lang.MetaClass), groovy.util.AntBuilder#wait(long), groovy.util.AntBuilder#wait(long, int), groovy.util.AntBuilder#wait(), groovy.util.AntBuilder#equals(java.lang.Object), groovy.util.AntBuilder#toString(), groovy.util.AntBuilder#hashCode(), groovy.util.AntBuilder#getClass(), groovy.util.AntBuilder#notify(), groovy.util.AntBuilder#notifyAll()

Methods inherited from class groovy.util.BuilderSupport
groovy.util.BuilderSupport#invokeMethod(java.lang.String), groovy.util.BuilderSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#setProperty(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#getProperty(java.lang.String), groovy.util.BuilderSupport#getMetaClass(), groovy.util.BuilderSupport#setMetaClass(groovy.lang.MetaClass), groovy.util.BuilderSupport#wait(long), groovy.util.BuilderSupport#wait(long, int), groovy.util.BuilderSupport#wait(), groovy.util.BuilderSupport#equals(java.lang.Object), groovy.util.BuilderSupport#toString(), groovy.util.BuilderSupport#hashCode(), groovy.util.BuilderSupport#getClass(), groovy.util.BuilderSupport#notify(), groovy.util.BuilderSupport#notifyAll()

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getProperties

    public java.util.Map getProperties()

  Returns the properties of the Ant project. This is a live map, you that you can make changes to the map and these changes are reflected in the Ant project.
  Returns:
    The properties. Never returns null.

### getReferences

    public java.util.Map getReferences()

  Returns the references of the Ant project. This is a live map, you that you can make changes to the map and these changes are reflected in the Ant project.
  Returns:
    The references. Never returns null.

### importBuild

    public void importBuild(java.lang.Object antBuildFile)

  Imports an Ant build into the associated Gradle project.
  Parameters:
    `antBuildFile` - The build file. This is resolved as per Project#file(Object)#file(Object).

Groovy Documentation